Skip to content

Get a preset

GET/v2/control-rooms/{roomId}/presets/{presetId}

GET
/v2/control-rooms/{roomId}/presets/{presetId}
curl --request GET \
--url https://api.ligr.live/rest/v2/control-rooms/1/presets/1 \
--header 'Authorization: Bearer <token>'

Beta. This operation can change between minor versions. See Beta status.

Returns a preset only when it belongs to the specified organization-owned room. Use its numeric id to show or hide the preset through the overlay graphics endpoint.

roomId
required

Entity identifier

integer format: int32
>= 1
presetId
required

Entity identifier

integer format: int32
>= 1

Ok

Media typeapplication/json

Use the returned id as presetId with the overlay control-room graphics endpoint.

object
id
required

Entity identifier

integer format: int32
>= 1
controlRoomId
required

Entity identifier

integer format: int32
>= 1
sectionId
required
string
graphicId
required
string
name
required
string
orderIndex
required
integer format: int32
variableValues
required

Scalar and enum overrides keyed by names in the active published graphic manifest.

object
key
additional properties
Any of:
string
exposedVariables
required

Every control variable operators can see on this preset, with or without a stored value.

Array<string>
Examplegenerated
{
"id": 1,
"controlRoomId": 1,
"sectionId": "example",
"graphicId": "example",
"name": "example",
"orderIndex": 1,
"variableValues": {
"additionalProperty": "example"
},
"exposedVariables": [
"example"
]
}

Request is invalid

Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{
"message": "example",
"details": {
"additionalProperty": "example"
}
}

Missing or invalid api key

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Api key provides insufficient access for the request

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Theme, control room, section, or graphic not found

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Api key has made too many requests

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

An unexpected error has occured. If problems persist please contact support

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}